# neuralib

[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/neura-library)](https://pypi.org/project/neura-library/)
[![PyPI version](https://badge.fury.io/py/neura-library.svg)](https://badge.fury.io/py/neura-library)
[![Downloads](https://static.pepy.tech/badge/neura-library)](https://pepy.tech/project/neura-library)

[![Ruff](https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/astral-sh/ruff/main/assets/badge/v2.json)](https://github.com/astral-sh/ruff)
[![uv](https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/astral-sh/uv/main/assets/badge/v0.json)](https://github.com/astral-sh/uv)
[![Documentation Status](https://readthedocs.org/projects/neuralib/badge/?version=latest)](https://neuralib.readthedocs.io/en/latest/)
[![codecov](https://codecov.io/gh/ytsimon2004/neuralib/branch/dev/graph/badge.svg)](https://codecov.io/gh/ytsimon2004/neuralib)


---

**neuralib** is a utility toolkit for rodent systems neuroscience research. It provides wrappers, parsers, and tools for
efficient data handling, analysis, and reproducibility in open-source neuroscience workflows.

---

## Features

- Open-source parser and wrapper utilities tailored for rodent neuroscience experiments
- Lightweight and modular design for easy integration
- Ready-to-use examples and interactive notebooks
- Clean documentation and API reference

---

## Documentation

- **[Full Documentation](https://neuralib.readthedocs.io/en/latest/index.html)**
- **[Installation Guide](https://neuralib.readthedocs.io/en/latest/installation.html)**
- **[Example Notebooks](https://neuralib.readthedocs.io/en/latest/index.html#notebook-example)**

---

## Installation

```bash
pip install neura-library
